#include <Arduino.h>
#include <ArduinoLog.h>

#include "Config.h"
#include "Pins.h"
#include "NFC.h"

#include <ESP8266WiFi.h>
#include <ESP8266WebServer.h>

#include <WiFiClient.h>
#include <PubSubClient.h>
#include <SPI.h>
#include <MFRC522.h>
#include <SSD1306Wire.h>

Config config;
WiFiClient wifiClient;
PubSubClient mqttClient;
NFC* nfc;

void setup()
{
    Serial.begin(115200);
    Serial.print("\n\n\n");
    Serial.println("Booting ...");
    
    pinMode(PIN_BUZZER,   OUTPUT);
    pinMode(PIN_BUTTON,   INPUT);
    pinMode(PIN_ETH_SPI_SS,   OUTPUT);
    digitalWrite(PIN_ETH_SPI_SS, HIGH);

    Serial.println("NFC ...");
    nfc = new NFC(PIN_RFID_SPI_SS, PIN_RFID_RST, &mqttClient);
}

void loop()
{
    if (nfc->hasNewCard())
    {
        Serial.println("New Card");
    }
}
